This module was written to extend the standard functionality regarding
users and groups management. It helps creating well-defined user roles
and associating them to users.

It can become very hard to maintain a large number of user profiles over
time, juggling with many technical groups. For this purpose, this module
will help you to:

> - define functional roles by aggregating low-level groups,
> - set user accounts with the predefined roles (roles are cumulative),
> - update groups of all relevant user accounts (all at once),
> - ensure that user accounts will have the groups defined in their
>   roles (nothing more, nothing less). In other words, you can not set
>   groups manually on a user as long as there is roles configured on
>   it,
> - activate/deactivate roles depending on the date (useful to plan
>   holidays, etc)
> - get a quick overview of roles and the related user accounts.

That way you make clear the different responsabilities within a company,
and are able to add and update user accounts in a scalable and reliable
way.
